///колко от числата от 1 до л могат да бъдат представени
///като сбор на а-та и б-та
#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long a, b, sums;
    cin>>a>>b>>sums;
    if(a > b) swap(a,b);///a < b
    long long counter = sums;
    for(int i = a + b; i <= sums; i++)
    {
        long long ost = i % b, currentCheck = 0;
        if(ost%a == 0 && ost!=0) currentCheck = 1;
        else if((b-(ost%a))%a == 0 && ost!=0) currentCheck = 1;
        if(currentCheck == 1)
        {
            ///cout<<i<<" move da se predtsvi kato sbor ot a-ta i b-ta"<<endl;
            counter--;
        }
    }
    cout<<counter;


    return 0;
}
